Name:             gtksourceviewmm
Version:          2.2.0
Release:          4%{?dist}
Summary:          A C++ wrapper for the gtksourceview widget library

Group:            System Environment/Libraries
License:          LGPLv2+
URL:              http://projects.gnome.org/gtksourceviewmm/
Source0:          http://ftp.gnome.org/pub/GNOME/sources/gtksourceviewmm/2.2/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    gtkmm24-devel >= 2.4
BuildRequires:    gtksourceview2-devel >= 2.2.0
BuildRequires:    doxygen graphviz


%description
gtksourceviewmm is a C++ wrapper for the gtksourceview widget
library. It offers all the power of gtksourceview with an interface
familiar to c++ developers, including users of the gtkmm library


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       gtksourceview2-devel
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Move documentation to gtk-doc directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html
mv $RPM_BUILD_ROOT%{_datadir}/doc/libgtksourceviewmm-2.0 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/gtksourceviewmm-2.0
# Remove files related to code generation
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtksourceviewmm-2.0


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/gtksourceviewmm-2.0
%{_includedir}/gtksourceviewmm-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Denis Leroy <denis@poolshark.org> - 2.2.0-2
- Fixed BRs

* Tue Jan 13 2009 Denis Leroy <denis@poolshark.org> - 2.2.0-1
- Initial draft, based on 1.0 version

